Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.archive.util.ms
Enum Entry.EntryType

    java.lang.Object
      java.lang.Enum<Entry.EntryType>
          org.archive.util.ms.Entry.EntryType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Entry.EntryType>

Enclosing interface:
  Entry

    public static enum Entry.EntryType

extends java.lang.Enum<Entry.EntryType>

Enum Constant Summary
`DIRECTORY`
`FILE`
`ROOT`

Method Summary
`static Entry.EntryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Entry.EntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROOT

    public static final Entry.EntryType ROOT

### FILE

    public static final Entry.EntryType FILE

### DIRECTORY

    public static final Entry.EntryType DIRECTORY

Method Detail

### values

    public static final Entry.EntryType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Entry.EntryType c : Entry.EntryType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Entry.EntryType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.